## org.eclipse.datatools.modelbase.sql.query
Class TableJoinedOperator

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.TableJoinedOperator

    public final class TableJoinedOperator

extends AbstractEnumerator

A representation of the literals of the enumeration 'SQL Table Joined Operator', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getTableJoinedOperator()`

Field Summary
`static int` `DEFAULT_INNER` The 'DEFAULT INNER' literal value.
`static TableJoinedOperator` `DEFAULT_INNER_LITERAL` The 'DEFAULT INNER' literal object.
`static int` `EXPLICIT_INNER` The 'EXPLICIT INNER' literal value.
`static TableJoinedOperator` `EXPLICIT_INNER_LITERAL` The 'EXPLICIT INNER' literal object.
`static int` `FULL_OUTER` The 'FULL OUTER' literal value.
`static TableJoinedOperator` `FULL_OUTER_LITERAL` The 'FULL OUTER' literal object.
`static int` `LEFT_OUTER` The 'LEFT OUTER' literal value.
`static TableJoinedOperator` `LEFT_OUTER_LITERAL` The 'LEFT OUTER' literal object.
`static int` `RIGHT_OUTER` The 'RIGHT OUTER' literal value.
`static TableJoinedOperator` `RIGHT_OUTER_LITERAL` The 'RIGHT OUTER' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Table Joined Operator' enumerators.

Method Summary
`static TableJoinedOperator` `get(int value)` Returns the 'Table Joined Operator' literal with the specified integer value.
`static TableJoinedOperator` `get(java.lang.String literal)` Returns the 'Table Joined Operator' literal with the specified literal value.
`static TableJoinedOperator` `getByName(java.lang.String name)` Returns the 'Table Joined Operator' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INNER

    public static final int DEFAULT_INNER

  The 'DEFAULT INNER' literal value.

  See Also:
    `DEFAULT_INNER_LITERAL`, Constant Field Values

### EXPLICIT_INNER

    public static final int EXPLICIT_INNER

  The 'EXPLICIT INNER' literal value.

  See Also:
    `EXPLICIT_INNER_LITERAL`, Constant Field Values

### LEFT_OUTER

    public static final int LEFT_OUTER

  The 'LEFT OUTER' literal value.

  See Also:
    `LEFT_OUTER_LITERAL`, Constant Field Values

### RIGHT_OUTER

    public static final int RIGHT_OUTER

  The 'RIGHT OUTER' literal value.

  See Also:
    `RIGHT_OUTER_LITERAL`, Constant Field Values

### FULL_OUTER

    public static final int FULL_OUTER

  The 'FULL OUTER' literal value.

  See Also:
    `FULL_OUTER_LITERAL`, Constant Field Values

### DEFAULT_INNER_LITERAL

    public static final TableJoinedOperator DEFAULT_INNER_LITERAL

  The 'DEFAULT INNER' literal object.

  If the meaning of 'DEFAULT INNER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEFAULT_INNER`

### EXPLICIT_INNER_LITERAL

    public static final TableJoinedOperator EXPLICIT_INNER_LITERAL

  The 'EXPLICIT INNER' literal object.

  If the meaning of 'EXPLICIT INNER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXPLICIT_INNER`

### LEFT_OUTER_LITERAL

    public static final TableJoinedOperator LEFT_OUTER_LITERAL

  The 'LEFT OUTER' literal object.

  If the meaning of 'LEFT OUTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LEFT_OUTER`

### RIGHT_OUTER_LITERAL

    public static final TableJoinedOperator RIGHT_OUTER_LITERAL

  The 'RIGHT OUTER' literal object.

  If the meaning of 'RIGHT OUTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RIGHT_OUTER`

### FULL_OUTER_LITERAL

    public static final TableJoinedOperator FULL_OUTER_LITERAL

  The 'FULL OUTER' literal object.

  If the meaning of 'FULL OUTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FULL_OUTER`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Table Joined Operator' enumerators.

Method Detail

### get

    public static TableJoinedOperator get(java.lang.String literal)

  Returns the 'Table Joined Operator' literal with the specified literal value.

### getByName

    public static TableJoinedOperator getByName(java.lang.String name)

  Returns the 'Table Joined Operator' literal with the specified name.

### get

    public static TableJoinedOperator get(int value)

  Returns the 'Table Joined Operator' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.